comedi_from_phys
Prev | 5.4.1. Core Functions | Next

## Name

comedi_from_phys — convert physical units to sample

## Synopsis

    #include <comedilib.h>

`lsampl_t comedi_from_phys(` | double data,
| comedi_range * range,
| lsampl_t maxdata`)`;

## Description

Converts parameter `data` given in physical units (double) into sample values (lsampl_t, between `0` and maxdata). The parameter `range` represents the conversion information to use, and the parameter `maxdata` represents the maximum possible data value for the channel that the data will be written to. The mapping between physical units and raw data is linear and assumes that the converter has ideal characteristics.

Conversion is not affected by out-of-range behavior. Out-of-range data parameters are silently truncated to the range `0` to `maxdata`.

Prev | Up | Next
comedi_find_subdevice_by_type | Home | comedi_from_physical